%define name gdict
%define version	0.7
%define release	2mdk

Summary: Client for MIT's dictionary server
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.psilord.com/code

%description
gdict is a GTK+ application that connects to MIT's dictionary server
and returns the definition to a user-specified word. It is based on
Michael Bacarella's small dict client. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 gdict $RPM_BUILD_ROOT/usr/X11R6/bin/gdict

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/X11R6/bin/gdict"\
title="Gdict"\
longtitle="On-line dictionnary"\
needs="x11"\
section="Applications/Text tools"
EOF
)  

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr (-,root,root)
/usr/X11R6/bin/*
%doc COPYING ChangeLog README
%{_libdir}/menu/*


%changelog
* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- new office menu structure

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-4mdk
- BM

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-3mdk
- BM
- remove docdir & packager tag

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- fix group 

* Fri Feb 18 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandake build

* Fri Mar 26 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Update to version 0.6
* Wed Mar 24 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
